/*
GNU General Public License

ImageServlet - GIF Writing Servlet
Copyright (C) 2000/2001  Howard A Kistler

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

package com.hexidec.grafito;

import java.awt.*;
import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.hexidec.grafito.Constants;

public class ImageServlet extends HttpServlet
{

	public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
	{
		doPost(req, res);
	}

	public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
	{
		try
		{
			ObjectInputStream objstr = new ObjectInputStream(req.getInputStream());
			Dimension dim = (Dimension)(objstr.readObject());
			int[] pixels  = (int[])(objstr.readObject());
			GIFSave gifsave = new GIFSave(dim.width, dim.height, pixels);
			gifsave.writeImageToFile(new FileOutputStream(Constants.GIF_SAVE));
		}
		catch(FileNotFoundException fnfe)
		{
			fnfe.printStackTrace(System.out);
			return;
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace(System.out);
			return;
		}
		catch(AWTException awte)
		{
			awte.printStackTrace(System.out);
			return;
		}
		catch(Exception e)
		{
			e.printStackTrace(System.out);
			return;
		}
		return;
	}

}